Retrieve a zone file
Returns an exported zone file in BIND format (RFC 1035).
get
Authorizations
AuthorizationstringRequired
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
Path parameters
zoneIdstring · uuidRequired
The ID (UUID) of the DNS zone.
Responses
200
Successful operation.
text/plain
400
Bad Request
The request send to the API was malformed.
application/json
401
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
application/json
403
Not Allowed
The user issuing the request does not have the needed permissions.
application/json
404
Not Found
The resource that was requested could not be found.
application/json
500
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
application/json
get/zones/{zoneId}/zonefile
GET /zones/{zoneId}/zonefile HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
;Zone: example.com
;Exported: Wed Nov 13 10:30:14 UTC 2019
$ORIGIN example.com.
$TTL 3600
@ 86400 IN SOA ns-de.1and1-dns.de. hostmaster.kundenserver.de. (
2017012400 ; serial
28800 ; refresh
7200 ; retry
604800 ; expire
600 ) ; minimum
autodiscover 7200 IN CNAME adsredir.1and1.info.
@ 7200 IN NS ns-de.1and1-dns.org.
@ 7200 IN NS ns-de.1and1-dns.com.
@ 7200 IN NS ns-de.1and1-dns.biz.
@ 7200 IN NS ns-de.1and1-dns.de.
_domainconnect 3600 IN CNAME _domainconnect.1and1.com.
Last updated
Was this helpful?